- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/list#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/list#body.ListForwardingAddressesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/list#try-it)

Lists the forwarding addresses for the specified account. For more information, see [Manage email forwarding](https://developers.google.com/workspace/gmail/api/guides/forwarding_settings).

### HTTP request

`GET https://gmail.googleapis.com/gmail/v1/users/{userId}/settings/forwardingAddresses`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` User's email address. The special value "me" can be used to indicate the authenticated user. |

### Request body

The request body must be empty.

### Response body

Response for the forwardingAddresses.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "forwardingAddresses": [ { object (`https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses#ForwardingAddress`) } ] } ``` |

| Fields ||
|---|---|
| `forwardingAddresses[]` | ``object (`https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses#ForwardingAddress`)`` List of addresses that may be used for forwarding. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/gmail.settings.basic`
- `
  https://mail.google.com/`
- `
  https://www.googleapis.com/auth/gmail.modify`
- `
  https://www.googleapis.com/auth/gmail.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).